ZIPDETAILS(1)

NAME
zipdetails - display the internal structure of zip files

SYNOPSIS
    zipdetails [-v] zipfile.zip
        zipdetails -h

DESCRIPTION
Zipdetails displays information about the internal record structure of the zip file. It is not concerned with displaying any details of the compressed data stored in the zip file.

The program assumes prior understanding of the internal structure of a Zip file. You should have a copy of the Zip APPNOTE file at hand to help understand the output from this program ("SEE ALSO" for details).

  OPTIONS

-v  Enable Verbose mode

-h  Display help

By default zipdetails will output the details of the zip file in three columns.

Column 1
    This contains the offset from the start of the file in hex.

Column 2
    This contains a textual description of the field.

Column 3
    If the field contains a numeric value it will be displayed in hex. Zip stored most numbers in little-endian format - the value displayed will have the little-endian encoding removed.

    Next, is an optional description of what the value means.

If the "-v" option is present, column 1 is expanded to include

•   The offset from the start of the file in hex.

•   The length of the filed in hex.

•   A hex dump of the bytes in field in the order they are stored in the zip file.

TODO
Error handling is still a work in progress. If the program encounters a problem reading a zip file it is likely to terminate with an unhelpful error message.

SEE ALSO
The primary reference for Zip files is the "appnote" document available at <http://www.pkware.com/documents/casestudies/APPNOTE.TXT>.

An alternative reference is the Info-Zip appnote. This is available from <ftp://ftp.info-zip.org/pub/infozip/doc/>

The "zipinfo" program that comes with the info-zip distribution (<http://www.info-zip.org/>) can also display details of the structure of a zip file.

See also Archive::Zip::SimpleZip, IO::Compress::Zip, IO::Uncompress::Unzip.

AUTHOR
Paul Marquess pmqs@cpan.org.

COPYRIGHT
Copyright (c) 2011-2018 Paul Marquess. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.